Skip to main content
`Ctrl`+`K`

# PetscInfoAllow

Enables/disables `PetscInfo()` messages

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoAllow(PetscBool flag)

Not Collective

## Input Parameter

- flag - `PETSC_TRUE` or `PETSC_FALSE`

## See Also

Interpreting -info Output: Informative Messages, `PetscInfo()`, `PetscInfoEnabled()`, `PetscInfoGetInfo()`, `PetscInfoSetFromOptions()`

## Level

advanced

## Location

src/sys/info/verboseinfo.c

## Examples

src/mat/tutorials/ex7.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages